# -*- mode: ruby -*-
# vi: set ft=ruby :


Vagrant.configure("2") do |config|
  config.vm.box = "generic/rocky8"
  config.vm.hostname = "Jenkins"
  config.vm.network "forwarded_port", guest: 8200, host: 8200
  config.vm.synced_folder "./vault_configs", "/sync"
  config.vm.provision "shell" do |shell|
    shell.path = "provision/main.sh"
  end
  config.vm.provider "virtualbox" do |virtualbox|
    virtualbox.memory = 8192
    virtualbox.cpus = 1
  end
end
